Bug 1798 - rpmdrake shows too little information when suggests to make a choice
: rpmdrake shows too little information when suggests to make a choice
Status: CONFIRMED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal enhancement
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-20 12:13 MSK by Konstantin Vlasov
Modified: 2014-10-09 16:21 MSD (History)
2 users (show)

See Also:
RPM Package: rpmdrake
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2013-03-20 12:13:12 MSK
When rpmdrake suggests to choose from several possible providers of required dependency it tells absolutely nothing about the requirements, so the user have no information for selecting the right package. The dialog should display at least the name of the dependency, or even list the specific packages that require it.
Comment 1 Denis Silakov 2013-10-08 17:03:18 MSD
I hope we will finally migrate to SC and then this bug will become irrelevant. In addition, rpmdrake now automatically selects  alternatives by default, so most users just won't face such a problem.
Comment 2 FirstLevel 2014-10-08 15:03:56 MSD
Please check the problem for new release
http://mirror.rosalab.ru/rosa/rosa2014.1/iso/ROSA.Fresh.R4/
Comment 3 Konstantin Vlasov 2014-10-09 16:21:32 MSD
The issue is still there.
1. Start rpmdrake, uncheck Options -> "Select dependencies without asking", select "All" in the first combo-box to display all packages (not only GUI).
2. Search for package java-atk-wrapper, mark it for installing.
3. The dialog is opened with the list of existing java alternatives. However, it does not contain either dependency name itself, or name of the package which caused this dialog to appear.

P.S. For the steps given above it is required that no java is present in the current system. Can be checked in Live, for example.